
.table {
    width: 100%;
    position: relative;
    display: none;
    opacity: 0;
    transition: 1s;

    
    padding-top: 5px;
    padding-left: 15px;
    padding-bottom: 15px;
    padding-right: 15px;
    background-color: rgb(255, 255, 255) !important;
    position: relative;
    margin-top: 15px;
    min-height: 60px;
    width: 100%;
    border-color: rgb(230, 232, 235);
    border-style: solid;
    border-width: 2px;
    border-radius: 7px;
}

.filter {
    display: none;
}

.filters input, .filters select, .filters button {
    height: 40px;
}

.filters button {
    height: 40px;
    line-height: 25px;
}

.filter.open {
    display: inline-block !important;
}

.filters select, .filters input {
    width: auto;
    margin-right: 10px;
    line-height: 35px;
    background-color: rgb(255, 255, 255);
}

.table.open {
    display: inline-block;
    opacity: 1.0;
}

.table.tabbed {
    border-top-left-radius: 0px !important;
    margin-top: -2px;
}

.tabs {
    width: 100%;
    position: relative;
    margin-top: 10px;
    z-index: 10;
    clear: both;
    display: inline-block;
}

.tabs .tab {
    border-style: solid;
    border-color: #e6e8eb;
    border-width: 2px;
    border-top-left-radius: 12px;
    border-top-right-radius: 12px;
    display: inline-block;
    line-height: 35px;
    font-size: 14px;
    text-transform: uppercase;
    margin-right: 4px;
    padding-left: 20px;
    padding-right: 20px;
    color: #434c5e;
    font-weight: bold;
    background-color: #f5f7fa;
    cursor: pointer;
    opacity: 0.4;
    transition: 0.5s;
}

.tabs .tab.selected {
    background-color: #FFF;
    border-bottom-color: #fff;
    z-index: 5;
    cursor: unset;
    opacity: 1.0;
}

.table .header {
    display: grid;
    grid-template-columns: 50px 20% 20% 20% 20% auto;
    border-bottom-color: var(--secondary);
    border-bottom-style: solid;
    border-bottom-width: 2px;
    text-transform: uppercase;
    color: rgb(67, 76, 94);
    font-size: 14px;
    font-weight: bold;
    height: 50px;
    text-overflow: ellipsis;
    line-height: 45px !important;
    margin-top: 0px;
}

.table .row {
    display: grid;
    position: relative;
    line-height: 45px;
    width: 100%;
}

.table .selector {
    border-radius: 7px;
    width: 25px;
    height: 25px;
    background-color: rgb(255, 255, 255);
    margin-left: 13px;
    margin-top: 10px;
    cursor: pointer;
    background-size: 10px;
    border-color: rgb(230, 232, 235);
    border-style: solid;
    border-width: 2px;
    transition: var(--transition);
    background-position: center center;
}

.table .selector.selected {
    background-color: rgb(3, 219, 92);
    background-image: url(/assets/images/selected.svg);
    background-size: 60%;
    width: 25px;
    height: 25px;
    margin-left: 13px;
    margin-top: 10px;
    border-width: initial;
    border-style: none;
    border-color: initial;
    border-image: initial;
}

.nodata {
    position: relative;
    width: 100%;
    display: none;
    opacity: 0;
    transition: 1s;
    background-image: url(../images/folder.svg);
    height: 65vh;
    background-position: center center;
    background-size: auto 60%;
    background-repeat: none;
}

.nodata.open {
    display: inline-block;
    opacity: 1.0;
}

.table .menu {
    display: inline-block;
    height: 0px;
    overflow: hidden;
    opacity: 0.0;
    position: absolute;
    width: auto;
    right: 10px;
    top: 0px;
    min-width: 200px;
    background-color: #302f2f;
    border-radius: var(--radius);
    transition: var(--transition);
    padding-bottom: 0px;
    z-index: 50;
}

.table .menu.open {
    height: fit-content;
    opacity: 1.0;
    box-shadow: var(--actionshadow);
}

.dots {
    width: 29px;
    height: 40px;
    position: relative;
    font-size: 32px;
    font-kerning: 5px;
    letter-spacing: -1.5px;
    line-height: 19px;
    text-align: center;
    cursor: pointer;
}

.dots::before {
    content: '...';
}

.menu .menuDots {
    width: 29px;
    height: 35px;
    position: relative;
    font-size: 32px;
    font-kerning: 5px;
    letter-spacing: -1.5px;
    line-height: 19px;
    text-align: center;
    color: #FFF;
}

.menu .menuDots::before {
    content: '...';
}

.menu .action {
    text-align: right;
    text-decoration: none;
    padding-right: 10px;
    color: #FFF;
    text-transform: uppercase;
    display: block;
    width: 100%;
    line-height: 30px;
    cursor: pointer;
    height: 30px;
}

.menu .action:hover {
    color: #302f2f;
    background-color: #FFF;
}

.menu .menuTitle {
    width: 100%;
    height: 35px;
    display: grid;
    grid-template-columns: auto 29px;
    padding-left: 10px;
    padding-right: 10px;
    line-height: 29px;
}

.menu .title {
    color: rgba(255,255,255,0.2);
    padding-left: 0px;
    padding-right: 0px;
    padding-top: 10px;
    text-align: left;
}

.pages {
    text-align: center;
    position: relative;
    display: inline-block;
    width: 100%;
    margin-top: 10px;
    display: none;
}

.table .sort.asc {
    background-image: url(../images/down-arrow.svg);
    background-position: top 16px right 10px;
    background-size: 14px auto;
}

.table .sort.desc {
    background-image: url(../images/up-arrow.svg);
    background-position: top 16px right 10px;
    background-size: 14px auto;
}

.sort {
    cursor: pointer;
}

.pages.open {
    display: inline-block;
}

.pages .page {
    width: 40px;
    height: 30px;
    background-color: var(--white);
    border-radius: 7px;
    line-height: 32px;
    font-size: 16px;
    font-weight: 800;
    color: #434c5e;
    cursor: pointer;
    position: relative;
    display: inline-block;
    margin: 3px;
    text-align: center;
    transition: var(--transition);
    box-shadow: 0 5px 15px 0 rgba(0, 0, 0, 0.15);
}

.pages .page:hover {
    background-color: var(--primary);
    color: #FFF;
}

.pages .page.current {
    cursor: default;
    color: var(--white);
    background-color: var(--primary);
}

#FilterButton {
    margin-right: 20px;
}

#Filters {
    display: inline-block;
    position: relative;
    width: fit-content;
}

#Filters .connect {
    position: relative;
    display: inline-block;
    background-color: var(--secondary);
    color: #FFF;
    width: 30px;
    text-align: center;
    border-radius: 15px;
    height: 30px;
    line-height: 30px;
    margin-left: -17px;
    z-index: 10;
    margin-right: -5px;
    top: 2px;
}

#Filters .query {
    border-radius: 7px;
    background-color: var(--primary);
    position: relative;
    display: inline-block;
    width: fit-content;
    padding-left: 20px;
    padding-right: 33px;
    background-image: url(../images/x-white.svg);
    background-size: 9px auto;
    background-position: right 13px top 11px;
    color: #fff;
    font-weight: bold;
    line-height: 30px;
    font-size: 12px;
    margin-right: 10px;
    cursor: pointer;
    transition: 0.5s;
}

#Filters .query:hover {
    opacity: 0.6;
}